summaryrefslogtreecommitdiff
path: root/source3/tests
diff options
context:
space:
mode:
authorVolker Lendecke <vl@samba.org>2012-02-01 20:07:24 +0100
committerVolker Lendecke <vlendec@samba.org>2012-02-01 21:53:50 +0100
commit8c66c8c756bde8654a3c1d07082b0ca5d357dc29 (patch)
treeb3856a78a7dad0fd9a0b56d0b3710ff511d05a50 /source3/tests
parent207af5d9e397eabbddbb2d273f542f641123aeb4 (diff)
downloadsamba-8c66c8c756bde8654a3c1d07082b0ca5d357dc29.tar.gz
samba-8c66c8c756bde8654a3c1d07082b0ca5d357dc29.tar.bz2
samba-8c66c8c756bde8654a3c1d07082b0ca5d357dc29.zip
s3: Test for bug 8733
Autobuild-User: Volker Lendecke <vlendec@samba.org> Autobuild-Date: Wed Feb 1 21:53:50 CET 2012 on sn-devel-104
Diffstat (limited to 'source3/tests')
-rwxr-xr-xsource3/tests/stream-depot/run.sh9
-rw-r--r--source3/tests/stream-depot/smb.conf5
-rw-r--r--source3/tests/stream-depot/vfstest.cmd5
3 files changed, 19 insertions, 0 deletions
diff --git a/source3/tests/stream-depot/run.sh b/source3/tests/stream-depot/run.sh
new file mode 100755
index 0000000000..f459aa3fd3
--- /dev/null
+++ b/source3/tests/stream-depot/run.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+rm -r .streams
+../../bin/vfstest -s smb.conf -f vfstest.cmd
+NUM=`find .streams | wc -l`
+if [ $NUM -ne 3 ] ; then
+ echo "streams_depot left ${NUM} in .streams, expected 3"
+ exit 1
+fi
+exit 0
diff --git a/source3/tests/stream-depot/smb.conf b/source3/tests/stream-depot/smb.conf
new file mode 100644
index 0000000000..426d23c949
--- /dev/null
+++ b/source3/tests/stream-depot/smb.conf
@@ -0,0 +1,5 @@
+[tmp]
+# "path" is ignored by vfstest, it's always set to $(pwd)
+path = /tmp
+writable = yes
+vfs objects = streams_depot xattr_tdb
diff --git a/source3/tests/stream-depot/vfstest.cmd b/source3/tests/stream-depot/vfstest.cmd
new file mode 100644
index 0000000000..1400546cf7
--- /dev/null
+++ b/source3/tests/stream-depot/vfstest.cmd
@@ -0,0 +1,5 @@
+connect
+mkdir x
+open x:y RC 0770
+unlink x:y
+rmdir x